import { defineStore } from "pinia";

export const useUiStore = defineStore("web-ui", {
  state: () => ({
    loginOpen: false,
    loginRedirect: "/",
  }),
  actions: {
    openLogin(redirect = "/") {
      this.loginRedirect = redirect;
      this.loginOpen = true;
    },
  },
});
